import com.gic.api.base.commons.BasePageInfo;
import com.gic.haoban.manage.api.enums.NoticeMessageTypeEnum;
import com.gic.haoban.manage.api.qdto.OpenStaffPageQDTO;
import com.gic.haoban.manage.api.service.HaobanTimerApiService;
import com.gic.haoban.manage.api.service.notify.NoticeMessageApiService;
import com.gic.haoban.manage.api.service.role.HaobanRoleApiService;
import com.gic.haoban.manage.api.util.notify.NoticeMessageUtil;
import com.gic.haoban.manage.service.service.OpenStaffService;
import com.gic.weimob.common.Md5Util;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.lang.reflect.Array;
import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(locations = {"classpath:applicationContext-conf.xml"})
public class HalfFriendTest {
    
    @Autowired
    private OpenStaffService  openStaffService ;
    @Autowired
    private NoticeMessageApiService noticeMessageApiService ;

    @Test
    public void tt()  {

        Map<String,String> map = new HashMap<>() ;
        map.put("accountName","111222333111K") ;

        map.put("errorTime","2024年4月20日 22:22") ;
        map.put("reason","异常断开") ;
        this.noticeMessageApiService.sendMessageForOpenStaff("ff8080815dacd3a2015dacd3ef5c0000","xgh","首次托管，需要二次验证");


        /*OpenStaffPageQDTO qdto = new OpenStaffPageQDTO() ;
        qdto.setWxEnterpriseId("ca66a01b79474c40b3e7c7f93daf1a3b");
        qdto.setEnterpriseId("ff8080815dacd3a2015dacd3ef5c0000");
        qdto.setClerkId("b2ef17cce11f476b996d0b27ebadf7fb");
        qdto.setStoreGroupIdList(Arrays.asList("ff8080815dacd3a2015dacd3f4fc0033"));
        qdto.setStaffParams("徐高华");
        BasePageInfo basePageInfo = new BasePageInfo() ;
        basePageInfo.setPageSize(11);
        basePageInfo.setPageNum(1);
        this.openStaffService.page(qdto,basePageInfo) ;*/
        int messageType = NoticeMessageTypeEnum.HAOBAN_OPEN_STAFF_LOGOUT.getType();
      //  NoticeMessageUtil.sendNoticeMessageByStaff("ff8080815dacd3a2015dacd3ef5c0000","52995ea8c81c4cc286a9b82bc36a7081","-1",messageType,null,map,null);


    }
}
